package net.liftweb.http

/*
* Copyright 2007-2008 WorldWide Conferencing, LLC
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
*    http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing,
* software distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions
* and limitations under the License.
*/

import net.liftweb.util._

class ResponseShortcutException(_response: => ResponseIt, val doNotices: Boolean) extends Exception("Shortcut") {
  lazy val response = _response
  
  def this(resp: => ResponseIt) = this(resp, false)
}

object ResponseShortcutException {
  def redirect(to: String): ResponseShortcutException = 
  new ResponseShortcutException(RedirectResponse(to, S responseCookies :_*), true)
  
  def redirect(to: String, func: () => Unit): ResponseShortcutException =
  S.session match {
    case Full(liftSession) => redirect(liftSession.attachRedirectFunc(to, Full(func)))
    case _ => redirect(to)
  }
  
}
